CVE-2010-4707

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

The check_acl function in pam_xauth.c in the pam_xauth module in Linux-PAM (aka pam) 1.1.2 and earlier does not verify that a certain ACL file is a regular file, which might allow local users to cause a denial of service (resource consumption) via a special file.

References

http://git.altlinux.org/people/ldv/packages/?p=pam.git;a=commit;h=Linux-PAM-1_1_2-2-gffe7058c70253d574b1963c7c93002bd410fddc9

http://openwall.com/lists/oss-security/2010/10/03/1

http://secunia.com/advisories/49711

http://security.gentoo.org/glsa/glsa-201206-31.xml

http://www.securityfocus.com/bid/46045

https://exchange.xforce.ibmcloud.com/vulnerabilities/65036

Details

Source: MITRE

Published: 2011-01-24

Updated: 2019-01-03

Type: CWE-399

Risk Information

CVSS v2

Base Score: 4.9

Vector: AV:L/AC:L/Au:N/C:C/I:N/A:N

Impact Score: 6.9

Exploitability Score: 3.9

Severity: MEDIUM

Tenable Plugins

View all (8 total)

IDNameProductFamilySeverity
68144Oracle Linux 6 : pam (ELSA-2010-0891)NessusOracle Linux Local Security Checks
high
68132Oracle Linux 5 : pam (ELSA-2010-0819)NessusOracle Linux Local Security Checks
medium
59704GLSA-201206-31 : Linux-PAM: Multiple vulnerabilitiesNessusGentoo Local Security Checks
high
55103Ubuntu 8.04 LTS / 10.04 LTS / 10.10 / 11.04 : pam regression (USN-1140-2)NessusUbuntu Local Security Checks
medium
55102Ubuntu 8.04 LTS / 10.04 LTS / 10.10 / 11.04 : pam vulnerabilities (USN-1140-1)NessusUbuntu Local Security Checks
medium
50804CentOS 5 : pam (CESA-2010:0819)NessusCentOS Local Security Checks
medium
50644RHEL 6 : pam (RHSA-2010:0891)NessusRed Hat Local Security Checks
high
50447RHEL 5 : pam (RHSA-2010:0819)NessusRed Hat Local Security Checks
medium